=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2011-02-24 16:13:39 +0000
+++ bzrlib/bzrdir.py	2011-03-03 01:03:13 +0000
@@ -2147,23 +2147,7 @@
 controldir.ControlDirFormat._default_format = __default_format
 
 
-class Converter(object):
-    """Converts a disk format object from one format to another."""
-
-    def convert(self, to_convert, pb):
-        """Perform the conversion of to_convert, giving feedback via pb.
-
-        :param to_convert: The disk object to convert.
-        :param pb: a progress bar to use for progress information.
-        """
-
-    def step(self, message):
-        """Update the pb by a step."""
-        self.count +=1
-        self.pb.update(message, self.count, self.total)
-
-
-class ConvertBzrDir4To5(Converter):
+class ConvertBzrDir4To5(controldir.Converter):
     """Converts format 4 bzr dirs to format 5."""
 
     def __init__(self):
@@ -2435,7 +2419,7 @@
         return order
 
 
-class ConvertBzrDir5To6(Converter):
+class ConvertBzrDir5To6(controldir.Converter):
     """Converts format 5 bzr dirs to format 6."""
 
     def convert(self, to_convert, pb):
@@ -2478,7 +2462,7 @@
             mode=self.bzrdir._get_file_mode())
 
 
-class ConvertBzrDir6ToMeta(Converter):
+class ConvertBzrDir6ToMeta(controldir.Converter):
     """Converts format 6 bzr dirs to metadirs."""
 
     def convert(self, to_convert, pb):
@@ -2601,7 +2585,7 @@
             self.file_mode)
 
 
-class ConvertMetaToMeta(Converter):
+class ConvertMetaToMeta(controldir.Converter):
     """Converts the components of metadirs."""
 
     def __init__(self, target_format):

=== modified file 'bzrlib/controldir.py'
--- bzrlib/controldir.py	2011-02-25 12:42:33 +0000
+++ bzrlib/controldir.py	2011-03-03 01:03:13 +0000
@@ -709,6 +709,22 @@
         return modules
 
 
+class Converter(object):
+    """Converts a disk format object from one format to another."""
+
+    def convert(self, to_convert, pb):
+        """Perform the conversion of to_convert, giving feedback via pb.
+
+        :param to_convert: The disk object to convert.
+        :param pb: a progress bar to use for progress information.
+        """
+
+    def step(self, message):
+        """Update the pb by a step."""
+        self.count +=1
+        self.pb.update(message, self.count, self.total)
+
+
 class ControlDirFormat(object):
     """An encapsulation of the initialization and open routines for a format.
 

=== modified file 'bzrlib/tests/per_controldir/test_controldir.py'
--- bzrlib/tests/per_controldir/test_controldir.py	2011-02-24 16:13:39 +0000
+++ bzrlib/tests/per_controldir/test_controldir.py	2011-03-03 01:03:13 +0000
@@ -1504,7 +1504,7 @@
             # (we force the latest known format as downgrades may not be
             # available
             self.assertTrue(isinstance(dir._format.get_converter(
-                format=dir._format), bzrdir.Converter))
+                format=dir._format), controldir.Converter))
         dir.needs_format_conversion(
             controldir.ControlDirFormat.get_default_format())
 

